Bug 968169 - [abrt] yum-utils-1.1.31-14.fc19: misc.py:777:_decompress_chunked:MiscError: Error reading from file /var/cache/yum/core/primary.xml.gz: Compressed file ended before the end-of-stream marker was reached
[abrt] yum-utils-1.1.31-14.fc19: misc.py:777:_decompress_chunked:MiscError: E...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:759f50bbb2ff88dceab71f3e5ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 03:10 EDT by Pavel Lisý
Modified: 2015-02-17 10:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.24 KB, text/plain)
2013-05-29 03:10 EDT, Pavel Lisý
no flags Details
File: core_backtrace (1.12 KB, text/plain)
2013-05-29 03:10 EDT, Pavel Lisý
no flags Details
File: environ (174 bytes, text/plain)
2013-05-29 03:10 EDT, Pavel Lisý
no flags Details

  None (edit)
Description Pavel Lisý 2013-05-29 03:10:16 EDT
Description of problem:
Problem with download of package list during mock build

Version-Release number of selected component:
yum-utils-1.1.31-14.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python -tt /usr/bin/repoquery -c /var/lib/mock/epel-5-i386/root//etc/yum.conf -a --qf '%{nevra} %{buildtime} %{size} %{pkgid} %{repoid}'
dso_list:       yum-3.4.3-91.fc19.noarch
executable:     /usr/bin/repoquery
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
misc.py:777:_decompress_chunked:MiscError: Error reading from file /var/cache/yum/core/primary.xml.gz: Compressed file ended before the end-of-stream marker was reached

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 1529, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 1519, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 989, in runQuery
    pkgs = self.matchPkgs(items, plain_pkgs=plain_pkgs)
  File "/usr/bin/repoquery", line 910, in matchPkgs
    pkgs = self.returnPkgList(patterns=items)
  File "/usr/bin/repoquery", line 859, in returnPkgList
    pkgs = self.pkgSack.returnNewestByNameArch(**kwargs)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1030, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 364, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 253, in populate
    ret = misc.repo_gen_decompress(xml, gen, cached=repo.cache)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1149, in repo_gen_decompress
    ret = decompress(filename, dest=dest, check_timestamps=True,fn_only=cached)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1135, in decompress
    _decompress_chunked(filename, out, ztype)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 777, in _decompress_chunked
    raise Errors.MiscError, msg
MiscError: Error reading from file /var/cache/yum/core/primary.xml.gz: Compressed file ended before the end-of-stream marker was reached

Local variables in innermost frame:
e: EOFError('Compressed file ended before the end-of-stream marker was reached',)
dest: '/var/cache/yum/core/gen/primary.xml'
destination: <open file '/var/cache/yum/core/gen/primary.xml', mode 'w' at 0x2859540>
source: '/var/cache/yum/core/primary.xml.gz'
s_fn: <gzip open file '/var/cache/yum/core/primary.xml.gz', mode 'rb' at 0x28594b0 0x28c40d0>
msg: 'Error reading from file /var/cache/yum/core/primary.xml.gz: Compressed file ended before the end-of-stream marker was reached'
ztype: 'gz'
Comment 1 Pavel Lisý 2013-05-29 03:10:20 EDT
Created attachment 754203 [details]
File: backtrace
Comment 2 Pavel Lisý 2013-05-29 03:10:24 EDT
Created attachment 754204 [details]
File: core_backtrace
Comment 3 Pavel Lisý 2013-05-29 03:10:27 EDT
Created attachment 754205 [details]
File: environ
Comment 4 Fedora End Of Life 2015-01-09 13:14:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:22:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.